Skip to main content
GET
/
api
/
v1
/
school
/
sessions
/
{id}
Get by ID session
curl --request GET \
  --url https://api.example.com/api/v1/school/sessions/{id}/ \
  --header 'Authorization: Bearer <token>'
{
  "name": "<string>",
  "start_date": "2023-11-07T05:31:56Z",
  "end_date": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "is_deleted": true,
  "is_active": true,
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

A UUID string identifying this academic session.

Response

200 - application/json

Auto-populate created_by from request.user when available.

name
string
required
Maximum string length: 255
start_date
string<date-time>
required
end_date
string<date-time>
required
id
string<uuid>
created_at
string<date-time>
is_deleted
boolean
is_active
boolean
updated_at
string<date-time>